#pragma once

#define	TEXT_COLOR_BLUE			RGB(0x00,0x66,0xaa)
#define	TEXT_COLOR_GRAY			RGB(0x80,0x80,0x80)
#define	TEXT_COLOR_BLACK		RGB(0x00,0x33,0x66)
#define	TEXT_COLOR_WHITE		RGB(0xff,0xff,0xff)
#define	TEXT_COLOR_LIGHT		RGB(212,208,200)
#define	TEXT_COLOR_RED			RGB(0xff,0x00,0x00)

#define	LINE_PADDING			5

//	全GDIオブジェクト
class CCommonGDIObject
{
public:
	CCommonGDIObject(void);
	virtual ~CCommonGDIObject(void);

	CBrush	m_bWhite;
	CPen	m_pBlue;
	CPen	m_pGray;
	CPen	m_pBlack;
	CPen	m_pLight;
	CPen	m_pRed;

	CFont	m_fBold;
	CFont	m_fNormal;
	CFont	m_fLarge;
};

//	フォントの選択を管理
class CFontSelector
{
public:
	CFontSelector(CDC *dc,CFont &font);
	virtual ~CFontSelector(void);

private:
	CFont	*m_oldFont;
	CDC		*m_curDC;
};

//	ペンの選択を管理
class CPenSelector
{
public:
	CPenSelector(CDC *dc,CPen &pen);
	virtual ~CPenSelector(void);

private:
	CPen	*m_oldPen;
	CDC		*m_curDC;
};
